import mongoose from 'mongoose';

const attendanceRecordSchema = new mongoose.Schema({
  date: {
    type: Date,
    required: true,
  },
  time: {
    type: String,
    required: true,
  },
  location: {
    type: String,
    required: true,
  },
  notes: {
    type: String,
  },
});

const attendanceSchema = new mongoose.Schema({
  salesCoordinator: {
    type: mongoose.Schema.Types.ObjectId,
    ref: 'SalesCoOrdinator',
    required: true,
    unique: true,
  },
  records: [attendanceRecordSchema],
}, { timestamps: true, versionKey: false });

export const AttendanceSalesCoOrdinator = mongoose.model('Attendance', attendanceSchema);
